/**
 * 公共函数定义
 */

$.registerNameSpace("cga.common.func");
/**
 * 比赛输赢flash设置
 * battle.swf?flag=fail || success
 * setValue(v1,v2,x1,x2);
 * v1 上面第一排左边的值
 * v2 上面第一排右边的值
 * x1 下面第一排左边的值
 * x2 下面第一排右边的值
 * $.cga.common.func.getFlash('obj_id').setValue(1000,1000,200,200);
 */

$.cga.common.func = {
   getFlash : function(id) {
        if(navigator.appName.indexOf("Microsoft") != -1) {
            if(document.documentMode == 10 || document.documentMode == 9){
                return document.getElementById(id);
            } else {
                return window[id];
            }
        } else {
            return document[id];
        }
    },
    //处理url,加入队列中处理
    addQueueUrl:function(url){
    	 //$("#toolIframe",parent.document.body).initBrowseHtml();
    	 
    	 if(!url || !url.length) return;
    	 if(url.indexOf('#history')>0){
    		 return ;
    	 }
    	 $.cga.client.client.setCurrPage(url);
    	 try{
    		 window.self.parent.frames["toolIframe"].initBrowseHtml();
    	 }catch(e){
    		 
    	 }
    	 return;
    	
    },
    scriptCheckLogin:function(){
    	var  r = 0;
    	$.ajax({
    		url:"/common/scriptCheckLogin",
    		dataType:"json",
    		async:false,
    		success:function(data){
    			r = data.code;
    		}
    	});
    	return r;
    },
    /**
	* @desc  字符串转换为Unicode
	*/
	chrToUnicode:function(str){
		if (str!="") {
			var escapable = /[^\u0000-\u00FF]/g;
			str=str.replace(/\\/g,"\\\\").replace(/\//g,"\\/");
			escapable.lastIndex = 0;
			return escapable.test(str) ? '"' + str.replace(escapable, function(a){
				return '\\u' + ('0000' + a.charCodeAt(0).toString(16)).slice(-4);
			}) + '"' : '"' + str + '"';
		}else {
			return '""';
		}
	},
	/**
	* @desc  截取字符长度
	*/
	cutFontLength:function(str,len,dot){
		str=str||"";
		str = str.replace(/<\/?[^>]*>/g,'').replace(/\n[\s| | ]*\r/g,'').replace(/[ | ]*\n/g,'');
		return (str.length>len)?str.substr(0,len)+dot : str;
	}
};
